Uploaded image for project: 'Ambari'
  1. Ambari
  2. AMBARI-22014

Patch upgrade is going into incorrect state during package installation with invalid VDF

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Resolved
    • Priority: Critical
    • Resolution: Fixed
    • Affects Version/s: 2.6.0
    • Fix Version/s: None
    • Component/s: ambari-upgrade
    • Labels:
    • Environment:

      ambari-server --version 2.6.0.0-118
      ambari-server --hash d5003eb9d176f46c8be8aeba084630fa9f1f2728

      Description

      Patch upgrade is going into incorrect state when invalid VDF is used during package installation.
      Steps to reproduce :
      1) Create a Centos7 HDP cluster with ambari
      2) Register the VDF for Centos6 (mistakenly I registered the invalid VDF)
      3) Click on install packages.
      Install packages throws 500 ("Repositories for os type redhat7 are not defined. Repo version=2.6.0.2-81, stackId=HDP-2.6"), but in the UI it still shows the state as 'installing'. Also Its not allowing to deregister the VDF as the state is installing.
      Its better to check the validity of the VDF during registration, rather than failing during package installation.
      Workaround : I was able to come out of this state by restarting ambari server and I was able to deregister the version as well.

        Attachments

        1. AMBARI-22014.patch
          33 kB
          Nate Cole

          Activity

            People

            • Assignee:
              ncole@hortonworks.com Nate Cole
              Reporter:
              ssharma@hortonworks.com Supreeth Sharma
            • Votes:
              0 Vote for this issue
              Watchers:
              2 Start watching this issue

              Dates

              • Created:
                Updated:
                Resolved: